ru.bitel.bgbilling.modules.inet.api.common.bean

## Class DataProcessRecord

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.inet.api.common.bean.DataProcessRecord

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class DataProcessRecord
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `TYPE_CREATE_SESSIONS`
    `static byte` | `TYPE_PROCESS_LOGS`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataProcessRecord()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCurentHour()`
    `java.util.Date` | `getDay()`
    `int` | `getDeviceId()`
    `java.util.Date` | `getStartTime()`
    `byte` | `getType()`
    `void` | `setCurentHour(int curentHour)`
    `void` | `setDay(java.util.Date day)`
    `void` | `setDeviceId(int deviceId)`
    `void` | `setStartTime(java.util.Date startTime)`
    `void` | `setType(byte type)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_PROCESS_LOGS

          public static final byte TYPE_PROCESS_LOGS

      See Also:
        Constant Field Values

    - #### TYPE_CREATE_SESSIONS

          public static final byte TYPE_CREATE_SESSIONS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataProcessRecord

          public DataProcessRecord()

  - ### Method Detail

    - #### getStartTime

          public java.util.Date getStartTime()

    - #### setStartTime

          public void setStartTime(java.util.Date startTime)

    - #### getDeviceId

          public int getDeviceId()

    - #### setDeviceId

          public void setDeviceId(int deviceId)

    - #### getDay

          public java.util.Date getDay()

    - #### setDay

          public void setDay(java.util.Date day)

    - #### getCurentHour

          public int getCurentHour()

    - #### setCurentHour

          public void setCurentHour(int curentHour)

    - #### getType

          public byte getType()

    - #### setType

          public void setType(byte type)